package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmLnChartForm extends HrmBaseForm {
  private String chartId;
  
  private String chartName;
  
  private String effectiveFromDate;
  
  private String effectiveToDate;
  
  private String interestRate;
  
  private String[] txtLoanAmt;
  
  private String[] txtNumberOfInstallments;
  
  private String[] txtPrincipal;
  
  private String[] txtInterest;
  
  private String[] txtEqualMonthlyInstallment;
  
  private ArrayList arrHrmLoanChartDtl = new ArrayList();
  
  private String selectAll;
  
  private String txtSearchFields;
  
  private String txtDisplayFields;
  
  private String disabchartId;
  
  private String disabchartName;
  
  private String disabeffectiveFromDate;
  
  private String disabeffectiveToDate;
  
  private String disabinterestRate;
  
  private String disabselectAll;
  
  private String disabtxtDisplayFields;
  
  private String disabtxtEqualMonthlyInstallment;
  
  private String disabtxtInterest;
  
  private String disabtxtLoanAmt;
  
  private String disabtxtNumberOfInstallments;
  
  private String disabtxtPrincipal;
  
  private String disabtxtSearchFields;
  
  private String disabbutChartName;
  
  private String disabbutEffectiveFromDate;
  
  private String disabbutEffectiveToDate;
  
  private String butChartName;
  
  private String butEffectiveFromDate;
  
  private String butEffectiveToDate;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getChartName() {
    return this.chartName;
  }
  
  public void setChartName(String newChartName) {
    this.chartName = newChartName;
  }
  
  public String getEffectiveFromDate() {
    return this.effectiveFromDate;
  }
  
  public void setEffectiveFromDate(String newEffectiveFromDate) {
    this.effectiveFromDate = newEffectiveFromDate;
  }
  
  public String getEffectiveToDate() {
    return this.effectiveToDate;
  }
  
  public void setEffectiveToDate(String newEffectiveToDate) {
    this.effectiveToDate = newEffectiveToDate;
  }
  
  public String getInterestRate() {
    return this.interestRate;
  }
  
  public void setInterestRate(String newInterestRate) {
    this.interestRate = newInterestRate;
  }
  
  public String[] getTxtLoanAmt() {
    return this.txtLoanAmt;
  }
  
  public void setTxtLoanAmt(String[] newTxtLoanAmt) {
    this.txtLoanAmt = newTxtLoanAmt;
  }
  
  public String[] getTxtNumberOfInstallments() {
    return this.txtNumberOfInstallments;
  }
  
  public void setTxtNumberOfInstallments(String[] newTxtNumberOfInstallments) {
    this.txtNumberOfInstallments = newTxtNumberOfInstallments;
  }
  
  public String[] getTxtPrincipal() {
    return this.txtPrincipal;
  }
  
  public void setTxtPrincipal(String[] newTxtPrincipal) {
    this.txtPrincipal = newTxtPrincipal;
  }
  
  public String[] getTxtInterest() {
    return this.txtInterest;
  }
  
  public void setTxtInterest(String[] newTxtInterest) {
    this.txtInterest = newTxtInterest;
  }
  
  public String[] getTxtEqualMonthlyInstallment() {
    return this.txtEqualMonthlyInstallment;
  }
  
  public void setTxtEqualMonthlyInstallment(String[] newTxtEqualMonthlyInstallment) {
    this.txtEqualMonthlyInstallment = newTxtEqualMonthlyInstallment;
  }
  
  public ArrayList getArrHrmLoanChartDtl() {
    return this.arrHrmLoanChartDtl;
  }
  
  public void setArrHrmLoanChartDtl(ArrayList newArrHrmLoanChartDtl) {
    this.arrHrmLoanChartDtl = newArrHrmLoanChartDtl;
  }
  
  public String getChartId() {
    return this.chartId;
  }
  
  public void setChartId(String newChartId) {
    this.chartId = newChartId;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getTxtSearchFields() {
    return this.txtSearchFields;
  }
  
  public void setTxtSearchFields(String newTxtSearchFields) {
    this.txtSearchFields = newTxtSearchFields;
  }
  
  public String getTxtDisplayFields() {
    return this.txtDisplayFields;
  }
  
  public void setTxtDisplayFields(String newTxtDisplayFields) {
    this.txtDisplayFields = newTxtDisplayFields;
  }
  
  public String getDisabchartId() {
    return this.disabchartId;
  }
  
  public void setDisabchartId(String newDisabchartId) {
    this.disabchartId = newDisabchartId;
  }
  
  public String getDisabchartName() {
    return this.disabchartName;
  }
  
  public void setDisabchartName(String newDisabchartName) {
    this.disabchartName = newDisabchartName;
  }
  
  public String getDisabeffectiveFromDate() {
    return this.disabeffectiveFromDate;
  }
  
  public void setDisabeffectiveFromDate(String newDisabeffectiveFromDate) {
    this.disabeffectiveFromDate = newDisabeffectiveFromDate;
  }
  
  public String getDisabeffectiveToDate() {
    return this.disabeffectiveToDate;
  }
  
  public void setDisabeffectiveToDate(String newDisabeffectiveToDate) {
    this.disabeffectiveToDate = newDisabeffectiveToDate;
  }
  
  public String getDisabinterestRate() {
    return this.disabinterestRate;
  }
  
  public void setDisabinterestRate(String newDisabinterestRate) {
    this.disabinterestRate = newDisabinterestRate;
  }
  
  public String getDisabselectAll() {
    return this.disabselectAll;
  }
  
  public void setDisabselectAll(String newDisabselectAll) {
    this.disabselectAll = newDisabselectAll;
  }
  
  public String getDisabtxtDisplayFields() {
    return this.disabtxtDisplayFields;
  }
  
  public void setDisabtxtDisplayFields(String newDisabtxtDisplayFields) {
    this.disabtxtDisplayFields = newDisabtxtDisplayFields;
  }
  
  public String getDisabtxtEqualMonthlyInstallment() {
    return this.disabtxtEqualMonthlyInstallment;
  }
  
  public void setDisabtxtEqualMonthlyInstallment(String newDisabtxtEqualMonthlyInstallment) {
    this.disabtxtEqualMonthlyInstallment = newDisabtxtEqualMonthlyInstallment;
  }
  
  public String getDisabtxtInterest() {
    return this.disabtxtInterest;
  }
  
  public void setDisabtxtInterest(String newDisabtxtInterest) {
    this.disabtxtInterest = newDisabtxtInterest;
  }
  
  public String getDisabtxtLoanAmt() {
    return this.disabtxtLoanAmt;
  }
  
  public void setDisabtxtLoanAmt(String newDisabtxtLoanAmt) {
    this.disabtxtLoanAmt = newDisabtxtLoanAmt;
  }
  
  public String getDisabtxtNumberOfInstallments() {
    return this.disabtxtNumberOfInstallments;
  }
  
  public void setDisabtxtNumberOfInstallments(String newDisabtxtNumberOfInstallments) {
    this.disabtxtNumberOfInstallments = newDisabtxtNumberOfInstallments;
  }
  
  public String getDisabtxtPrincipal() {
    return this.disabtxtPrincipal;
  }
  
  public void setDisabtxtPrincipal(String newDisabtxtPrincipal) {
    this.disabtxtPrincipal = newDisabtxtPrincipal;
  }
  
  public String getDisabtxtSearchFields() {
    return this.disabtxtSearchFields;
  }
  
  public void setDisabtxtSearchFields(String newDisabtxtSearchFields) {
    this.disabtxtSearchFields = newDisabtxtSearchFields;
  }
  
  public String getDisabbutChartName() {
    return this.disabbutChartName;
  }
  
  public void setDisabbutChartName(String newDisabbutChartName) {
    this.disabbutChartName = newDisabbutChartName;
  }
  
  public String getDisabbutEffectiveFromDate() {
    return this.disabbutEffectiveFromDate;
  }
  
  public void setDisabbutEffectiveFromDate(String newDisabbutEffectiveFromDate) {
    this.disabbutEffectiveFromDate = newDisabbutEffectiveFromDate;
  }
  
  public String getDisabbutEffectiveToDate() {
    return this.disabbutEffectiveToDate;
  }
  
  public void setDisabbutEffectiveToDate(String newDisabbutEffectiveToDate) {
    this.disabbutEffectiveToDate = newDisabbutEffectiveToDate;
  }
  
  public String getButChartName() {
    return this.butChartName;
  }
  
  public void setButChartName(String newButChartName) {
    this.butChartName = newButChartName;
  }
  
  public String getButEffectiveFromDate() {
    return this.butEffectiveFromDate;
  }
  
  public void setButEffectiveFromDate(String newButEffectiveFromDate) {
    this.butEffectiveFromDate = newButEffectiveFromDate;
  }
  
  public String getButEffectiveToDate() {
    return this.butEffectiveToDate;
  }
  
  public void setButEffectiveToDate(String newButEffectiveToDate) {
    this.butEffectiveToDate = newButEffectiveToDate;
  }
}
